<!--

    LFusion Local Registry Provider is used to create a registry provider linked to the project.
    Packages can be added by extensions implementing a provider.
    Copyright (C) 2024  Lucas Barbé

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
    
-->
<ui:UXML xmlns:ui="UnityEngine.UIElements" xmlns:uie="UnityEditor.UIElements" xsi="http://www.w3.org/2001/XMLSchema-instance" engine="UnityEngine.UIElements" editor="UnityEditor.UIElements" noNamespaceSchemaLocation="../../../../UIElementsSchema/UIElements.xsd" editor-extension-mode="True">
    <ui:Template name="LFusionLogoHorizontal" src="project://database/Assets/LFusion/Core/package/Editor/Settings/UI/VisualTrees/LFusionLogoHorizontal.uxml?fileID=9197481963319205126&amp;guid=4bb21134ba0a7e64db5760ec480067ae&amp;type=3#LFusionLogoHorizontal" />
    <ui:Template name="LFusionLogoVertical" src="project://database/Assets/LFusion/Core/package/Editor/Settings/UI/VisualTrees/LFusionLogoVertical.uxml?fileID=9197481963319205126&amp;guid=afa8c27aa04576143b0a748f203c403a&amp;type=3#LFusionLogoVertical" />
    <Style src="project://database/Assets/LFusion/Core/package/Editor/Settings/UI/Styles/LFusionSettingsContainer.uss?fileID=7433441132597879392&amp;guid=91fe8dca75826a84bb9a8166a4f5805d&amp;type=3#LFusionSettingsContainer" />
    <ui:VisualElement name="lfusionSettings">
        <ui:VisualElement name="headerContainer">
            <ui:VisualElement name="titleContainer">
                <ui:Label text="Package Name" display-tooltip-when-elided="true" name="titleLabel" />
                <ui:Label text="Version" display-tooltip-when-elided="true" name="versionLabel" />
            </ui:VisualElement>
            <ui:VisualElement name="authorContainer">
                <ui:VisualElement name="logoContainer">
                    <ui:Instance template="LFusionLogoHorizontal" name="LFusionLogoHorizontal" />
                    <ui:Instance template="LFusionLogoVertical" name="LFusionLogoVertical" style="display: none;" />
                </ui:VisualElement>
                <ui:Label text="LFusion" display-tooltip-when-elided="true" name="authorLabel" />
            </ui:VisualElement>
        </ui:VisualElement>
        <ui:ScrollView scroll-deceleration-rate="0,135" elasticity="0,1" name="settingsScrollView">
            <ui:VisualElement name="settingsContainer" />
        </ui:ScrollView>
    </ui:VisualElement>
</ui:UXML>
